module Identity
  class OmniauthCallbacksController < Devise::OmniauthCallbacksController
    def facebook
      omniauth_login('Facebook')
    end

    def twitter
      omniauth_login('Twitter')
    end

    def google_oauth2
      omniauth_login('Google')
    end

    def yahoo
      omniauth_login('Yahoo')
    end

    def windowslive
      omniauth_login('Microsoft')
    end

    private

    def omniauth_login(title)
      @user = Identity.user_class.from_omniauth!(request.env["omniauth.auth"])

      set_flash_message(:notice, :success, :kind => title) if is_navigational_format?
      sign_in_and_redirect @user, :event => :authentication
    end
  end
end
