require 'devise'

Devise.setup do |config|
  require 'devise/orm/active_record'
  config.mailer_sender =
    ENV.fetch('MAIL_FROM', 'please-set-me-as-env-mail-from@example.com')

  config.case_insensitive_keys = [ :email ]
  config.strip_whitespace_keys = [ :email ]
  config.skip_session_storage = [:http_auth]
  config.stretches = Rails.env.test? ? 1 : 10
  config.default_scope = :user
  config.sign_out_via = :get

  config.parent_controller = 'ApplicationController'
  # config.omniauth_path_prefix = '/identity/users/auth'

  # ==> Configuration for :confirmable
  config.allow_unconfirmed_access_for = 2.days
  config.reconfirmable = true

  # ==> Configuration for :rememberable
  config.expire_all_remember_me_on_sign_out = true
  config.extend_remember_period = true

  # ==> Configuration for :validatable
  config.password_length = 1..256

  # ==> Configuration for :recoverable
  config.reset_password_within = 6.hours
end
